Update Deposit Customer
curl --request PATCH \
--url https://api.hel.io/v1/deposit-customers/{depositCustomerToken}/api-key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipientPublicKeys": [
"<string>"
],
"disabled": true,
"additionalJSON": "<string>"
}
'import requests
url = "https://api.hel.io/v1/deposit-customers/{depositCustomerToken}/api-key"
payload = {
"recipientPublicKeys": ["<string>"],
"disabled": True,
"additionalJSON": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({recipientPublicKeys: ['<string>'], disabled: true, additionalJSON: '<string>'})
};
fetch('https://api.hel.io/v1/deposit-customers/{depositCustomerToken}/api-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "68f8c78f600865f76e7cc866",
"deposit": "68f25d8ebe91855f9fad444b",
"token": "ba065c1b-9134-4a68-9bfc-104e5c1c7631",
"customerId": "customerId",
"recipientPublicKeys": [
"7YancRyN3yp9s6G7YNwx9H93UqswoKFqF9GuNJPufyvW"
]
}{
"message": "Api key or token is invalid",
"code": 401
}Customers
Update Deposit Customer
Updates a customer associated with a specific deposit using the depositCustomerToken.
PATCH
/
v1
/
deposit-customers
/
{depositCustomerToken}
/
api-key
Update Deposit Customer
Note: When using the production environment at moonpay.hel.io, set your API endpoint to
api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.Authorizations
Authentication using JWT token
Path Parameters
The token associated with the deposit customer to retrieve.
Query Parameters
Your API key can be generated on the Helio Dashboard’s settings page.
Body
application/json
